NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::AddReusablePart Class Reference

Represents a NXOpen::Tooling::AddReusablePart
To create a new instance of this class, use NXOpen::Tooling::AddReusablePartCollection::CreateBuilder

Created in NX5.0.0. More...

Inheritance diagram for NXOpen::Tooling::AddReusablePart:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ModeMethod { ModeMethodAdd = 1, ModeMethodEdit }
 Represents adding or editing a reusable component mode method. More...
 
enum  PositionMethod {
  PositionMethodInvalid = -1, PositionMethodAbsolute, PositionMethodMate, PositionMethodReposition,
  PositionMethodWcs, PositionMethodPosition, PositionMethodPoint = 15, PositionMethodInferredOny,
  PositionMethodRouting
}
 Represents the position method. More...
 

Public Member Functions

void AddClonePartName (const NXString &clonedpartname)
 Adds clone part name
Created in NX9.0.0. More...
 
void AddClonePartName (const char *clonedpartname)
 Adds clone part name
Created in NX9.0.0. More...
 
void AddComponentMode (NXOpen::Tooling::AddReusablePart::ModeMethod modeMethod)
 Adds mode for a reusable component
Created in NX9.0.0. More...
 
void AddComponentProperty (const NXString &compName, const NXString &refsetName, int layer)
 Adds Component Properties
Created in NX9.0.0. More...
 
void AddComponentProperty (const char *compName, const char *refsetName, int layer)
 Adds Component Properties
Created in NX9.0.0. More...
 
void AddHoleInstance (const NXOpen::Point3d &inputDirection, const NXOpen::Point3d &inputPostion)
 Adds series of reusable components in holes
Created in NX9.0.0. More...
 
void AddNewInstance (NXOpen::Assemblies::Component *partOcc, int index)
 Adds a new instance
Created in NX9.0.0. More...
 
void AddPartOccurance (NXOpen::Assemblies::Component *partOcc)
 Adds occurance into the part data
Created in NX9.0.0. More...
 
void AffirmReusableComponent ()
 Affirms insertion of the reusable component
Created in NX9.0.0. More...
 
void ConstructParametersData ()
 Constructs the parameters data, reads data from part family or spreadsheet and updates the parameter data in the part
Created in NX9.0.0. More...
 
NXOpen::Tooling::CloneObjectCreateCloneObject (NXOpen::Tooling::ToolingApplication applicationType, const NXString &assemName)
 Creates the clone operation object. More...
 
NXOpen::Tooling::CloneObjectCreateCloneObject (NXOpen::Tooling::ToolingApplication applicationType, const char *assemName)
 Creates the clone operation object. More...
 
void CreateComponents (int count, NXOpen::NXObject *selobj)
 Creates an array instance of a component
Created in NX9.0.0. More...
 
void CreateReusableConstraints (int index)
 Creates constraints for the reusable component
Created in NX9.0.0. More...
 
void CreateReusablePocket (bool commit)
 Creates pocket for a reusable component
Created in NX9.0.0. More...
 
void DeleteComponents (int count)
 Deletes an array instance of a component
Created in NX9.0.0. More...
 
void DeleteReusableConstraints ()
 Deletes constraints for the reusable component
Created in NX9.0.0. More...
 
void DeleteReusablePocket ()
 Deletes pocket for a reusable component
Created in NX9.0.0. More...
 
void DestroyReusableBuilder ()
 Destroys reusable builder data
Created in NX9.0.0. More...
 
void EditReusableComponent (NXOpen::Assemblies::Component *partOcc)
 Edits a reusable component
Created in NX9.0.0. More...
 
NXOpen::NXObjectGetAttachedGeometry ()
 Gets the attached geometry, this is mainly used to get the initial parameter. More...
 
NXOpen::Tooling::CloneObjectGetCloneObject ()
 Gets the clone operation object. More...
 
std::vector
< NXOpen::Assemblies::Component * > 
GetDesignElement ()
 Gets an array of design elements. More...
 
NXOpen::Point3d GetInitialPosition ()
 Gets the initial location, this is mainly used to get default add location of a reusable component. More...
 
NXOpen::PartGetParentPart ()
 Gets the parent part, this is mainly used to get context work part of a reusable component. More...
 
NXOpen::Tooling::ReusablePocketBuilderGetReusablePocketBuilder ()
 Gets the reusable pocket builder. More...
 
NXOpen::Tooling::SpreadsheetDataGetSpreadsheetData ()
 Gets the spreadsheet data, this is mainly used to get the attributes of a reusable component. More...
 
void InsertReusableComponent (int instIndex, bool needTransform)
 Inserts the component into the part data
Created in NX9.0.0. More...
 
void LoadReusableComponent (const NXString &krxFile)
 Loads the reusable component
Created in NX9.0.0. More...
 
void LoadReusableComponent (const char *krxFile)
 Loads the reusable component
Created in NX9.0.0. More...
 
void MoveReusableComponent (const NXOpen::Vector3d &translation, const NXOpen::Matrix3x3 &rotation, int index)
 Moves a reusable component to a selected position
Created in NX9.0.0. More...
 
NXOpen::Tooling::AddReusablePart::PositionMethod PositionMode ()
 Returns the current position method. More...
 
void RecordReusableComponent (const NXString &fileName)
 Records the existing reusable component with the same name
Created in NX9.0.0. More...
 
void RecordReusableComponent (const char *fileName)
 Records the existing reusable component with the same name
Created in NX9.0.0. More...
 
void RemoveDesignElement ()
 Removes design element component
Created in NX9.0.0. More...
 
void RemoveOldInstance (int index)
 Removes the instance from the part data
Created in NX9.0.0. More...
 
void RemoveReusableComponent (int index)
 Removes a reusable component
Created in NX9.0.0. More...
 
NXOpen::NXObjectReverseComponentDirection (const NXOpen::Point3d &inputPosition, const NXOpen::Point3d &inputDirection, double length, const NXOpen::Point3d &outputPosition, const NXOpen::Point3d &outputDirection)
 Reverses the direction of the reusable component if the reusable component is placed on a face. More...
 
void ReversePreviewComponent (const NXOpen::Point3d &rememberDir)
 Reverses the direction of the reusable component if the reusable component is not placed on a face. More...
 
void SaveLibraryPath (const NXString &libName, const NXString &libpath)
 Saves the library name and path of the reusable component
Created in NX9.0.0. More...
 
void SaveLibraryPath (const char *libName, const char *libpath)
 Saves the library name and path of the reusable component
Created in NX9.0.0. More...
 
void SetAttachedGeometry (NXOpen::NXObject *part)
 Sets the attached geometry, this is mainly used to set the initial parameter
Created in NX9.0.0. More...
 
void SetCloneObject (NXOpen::Tooling::CloneObject *cloneObject)
 Sets the clone operation object
Created in NX9.0.0. More...
 
void SetComponentProperties (const NXString &referenceSetName, const NXString &componentName, int layer)
 Sets the reusable component properties
Created in NX9.0.0. More...
 
void SetComponentProperties (const char *referenceSetName, const char *componentName, int layer)
 Sets the reusable component properties
Created in NX9.0.0. More...
 
void SetEnablePreview (bool isTrunOn)
 Sets the toggle of the Preview widget
Created in NX9.0.0. More...
 
void SetInitialPosition (const NXOpen::Point3d &dropLocation)
 Sets the initial location, this is mainly used to set default add location of a reusable component
Created in NX9.0.0. More...
 
void SetParentPart (NXOpen::Part *part)
 Sets the parent part, this is mainly used to set context work part of a reusable component
Created in NX9.0.0. More...
 
void SetPositionMode (NXOpen::Tooling::AddReusablePart::PositionMethod positionMode)
 Sets the current position method. More...
 
void SetReusablePocketBuilder (NXOpen::Tooling::ReusablePocketBuilder *pocketTag)
 Sets the reusable pocket builder
Created in NX9.0.0. More...
 
void SetSearchGeometry (bool isTrunOn)
 Sets the search geometry for a reusable component
Created in NX9.0.0. More...
 
void SetSpreadsheetData (NXOpen::Tooling::SpreadsheetData *spreadsheetData)
 Sets the spreadsheet data, this is mainly used to set the attributes of a reusable component
Created in NX9.0.0. More...
 
void SubtituteReusableComponent (bool substituteInstance)
 Subtitutes a reusable part
Created in NX9.0.0. More...
 
void UpdatePartData ()
 Updates the part data of a reusable component
Created in NX9.0.0. More...
 
void UpdateReusableComponent ()
 Updates the part data for a reusable component, this is mainly used to update parameter for a reusable component
Created in NX9.0.0. More...
 
void UpdateReusablePocket ()
 Updates the pocket for a reusable component
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::AddReusablePart
To create a new instance of this class, use NXOpen::Tooling::AddReusablePartCollection::CreateBuilder

Created in NX5.0.0.


Member Enumeration Documentation

Represents adding or editing a reusable component mode method.

Enumerator
ModeMethodEdit 

Edit reusable component.

Represents the position method.

Enumerator
PositionMethodAbsolute 

absolute

PositionMethodMate 

mate

PositionMethodReposition 

reposition

PositionMethodWcs 

wcs

PositionMethodPosition 

position

PositionMethodInferredOny 

inferred ony

PositionMethodRouting 

Position using Routing.

Member Function Documentation

void NXOpen::Tooling::AddReusablePart::AddClonePartName ( const NXString clonedpartname)

Adds clone part name
Created in NX9.0.0.



License requirements : None

Parameters
clonedpartnameThe new clone part name
NOTE: The full Unicode character set is not supported for this parameter.
void NXOpen::Tooling::AddReusablePart::AddClonePartName ( const char *  clonedpartname)

Adds clone part name
Created in NX9.0.0.



License requirements : None

Parameters
clonedpartnameThe new clone part name
NOTE: The full Unicode character set is not supported for this parameter.
void NXOpen::Tooling::AddReusablePart::AddComponentMode ( NXOpen::Tooling::AddReusablePart::ModeMethod  modeMethod)

Adds mode for a reusable component
Created in NX9.0.0.



License requirements : None

Parameters
modeMethodmode method
void NXOpen::Tooling::AddReusablePart::AddComponentProperty ( const NXString compName,
const NXString refsetName,
int  layer 
)

Adds Component Properties
Created in NX9.0.0.



License requirements : None

Parameters
compNameThe name of the reference set used to represent the new component
NOTE: The full Unicode character set is not supported for this parameter.
refsetNameThe layer to place the new component on
NOTE: The full Unicode character set is not supported for this parameter.
layerlayer
void NXOpen::Tooling::AddReusablePart::AddComponentProperty ( const char *  compName,
const char *  refsetName,
int  layer 
)

Adds Component Properties
Created in NX9.0.0.



License requirements : None

Parameters
compNameThe name of the reference set used to represent the new component
NOTE: The full Unicode character set is not supported for this parameter.
refsetNameThe layer to place the new component on
NOTE: The full Unicode character set is not supported for this parameter.
layerlayer
void NXOpen::Tooling::AddReusablePart::AddHoleInstance ( const NXOpen::Point3d inputDirection,
const NXOpen::Point3d inputPostion 
)

Adds series of reusable components in holes
Created in NX9.0.0.



License requirements : None

Parameters
inputDirectionThe input direction of component
inputPostionThe input position of componnent
void NXOpen::Tooling::AddReusablePart::AddNewInstance ( NXOpen::Assemblies::Component partOcc,
int  index 
)

Adds a new instance
Created in NX9.0.0.



License requirements : None

Parameters
partOccAdd the new occurance into the part data
indexThe index of component instance
void NXOpen::Tooling::AddReusablePart::AddPartOccurance ( NXOpen::Assemblies::Component partOcc)

Adds occurance into the part data
Created in NX9.0.0.



License requirements : None

Parameters
partOccThe component occurance to add in the part data
void NXOpen::Tooling::AddReusablePart::AffirmReusableComponent ( )

Affirms insertion of the reusable component
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::AddReusablePart::ConstructParametersData ( )

Constructs the parameters data, reads data from part family or spreadsheet and updates the parameter data in the part
Created in NX9.0.0.



License requirements : None

NXOpen::Tooling::CloneObject* NXOpen::Tooling::AddReusablePart::CreateCloneObject ( NXOpen::Tooling::ToolingApplication  applicationType,
const NXString assemName 
)

Creates the clone operation object.

Returns
the new NXOpen::Tooling::CloneObject instance
Created in NX6.0.0.

License requirements : None
Parameters
applicationTypeWizard type
assemNameProject assembly name
NXOpen::Tooling::CloneObject* NXOpen::Tooling::AddReusablePart::CreateCloneObject ( NXOpen::Tooling::ToolingApplication  applicationType,
const char *  assemName 
)

Creates the clone operation object.

Returns
the new NXOpen::Tooling::CloneObject instance
Created in NX6.0.0.

License requirements : None
Parameters
applicationTypeWizard type
assemNameProject assembly name
void NXOpen::Tooling::AddReusablePart::CreateComponents ( int  count,
NXOpen::NXObject selobj 
)

Creates an array instance of a component
Created in NX9.0.0.



License requirements : None

Parameters
countThe count is array instance number
selobjThe selected object is FACE type, the reusable component place on the face
void NXOpen::Tooling::AddReusablePart::CreateReusableConstraints ( int  index)

Creates constraints for the reusable component
Created in NX9.0.0.



License requirements : None

Parameters
indexThe index part is to create constraints
void NXOpen::Tooling::AddReusablePart::CreateReusablePocket ( bool  commit)

Creates pocket for a reusable component
Created in NX9.0.0.



License requirements : None

Parameters
commitif the variable is true, the component needs pocket
void NXOpen::Tooling::AddReusablePart::DeleteComponents ( int  count)

Deletes an array instance of a component
Created in NX9.0.0.



License requirements : None

Parameters
countThe count is array instance number
void NXOpen::Tooling::AddReusablePart::DeleteReusableConstraints ( )

Deletes constraints for the reusable component
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::AddReusablePart::DeleteReusablePocket ( )

Deletes pocket for a reusable component
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::AddReusablePart::DestroyReusableBuilder ( )

Destroys reusable builder data
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::AddReusablePart::EditReusableComponent ( NXOpen::Assemblies::Component partOcc)

Edits a reusable component
Created in NX9.0.0.



License requirements : None

Parameters
partOccThe component occurance to edit in the part data
NXOpen::NXObject* NXOpen::Tooling::AddReusablePart::GetAttachedGeometry ( )

Gets the attached geometry, this is mainly used to get the initial parameter.

Returns
Geometry to calculate the initial parameter
Created in NX9.0.0.

License requirements : None
NXOpen::Tooling::CloneObject* NXOpen::Tooling::AddReusablePart::GetCloneObject ( )

Gets the clone operation object.

Returns
A NXOpen::Tooling::CloneObject instance
Created in NX9.0.0.

License requirements : None
std::vector<NXOpen::Assemblies::Component *> NXOpen::Tooling::AddReusablePart::GetDesignElement ( )

Gets an array of design elements.

Returns
The design elements
Created in NX9.0.0.

License requirements : None
NXOpen::Point3d NXOpen::Tooling::AddReusablePart::GetInitialPosition ( )

Gets the initial location, this is mainly used to get default add location of a reusable component.

Returns
Drop location to initial parameter
Created in NX9.0.0.

License requirements : None
NXOpen::Part* NXOpen::Tooling::AddReusablePart::GetParentPart ( )

Gets the parent part, this is mainly used to get context work part of a reusable component.

Returns
The parent part to place the component
Created in NX9.0.0.

License requirements : None
NXOpen::Tooling::ReusablePocketBuilder* NXOpen::Tooling::AddReusablePart::GetReusablePocketBuilder ( )

Gets the reusable pocket builder.

Returns
The reusable component pocket builder
Created in NX9.0.0.

License requirements : None
NXOpen::Tooling::SpreadsheetData* NXOpen::Tooling::AddReusablePart::GetSpreadsheetData ( )

Gets the spreadsheet data, this is mainly used to get the attributes of a reusable component.

Returns
Spreadsheet data
Created in NX9.0.0.

License requirements : None
void NXOpen::Tooling::AddReusablePart::InsertReusableComponent ( int  instIndex,
bool  needTransform 
)

Inserts the component into the part data
Created in NX9.0.0.



License requirements : None

Parameters
instIndexThe index of the new component being added in the part data
needTransformWhether the component needs to be transformed in the fastener assembly
void NXOpen::Tooling::AddReusablePart::LoadReusableComponent ( const NXString krxFile)

Loads the reusable component
Created in NX9.0.0.



License requirements : None

Parameters
krxFileThe KRX file
void NXOpen::Tooling::AddReusablePart::LoadReusableComponent ( const char *  krxFile)

Loads the reusable component
Created in NX9.0.0.



License requirements : None

Parameters
krxFileThe KRX file
void NXOpen::Tooling::AddReusablePart::MoveReusableComponent ( const NXOpen::Vector3d translation,
const NXOpen::Matrix3x3 rotation,
int  index 
)

Moves a reusable component to a selected position
Created in NX9.0.0.



License requirements : None

Parameters
translationThe translation data
rotationThe rotation data
indexThe reusable component index in the part data
NXOpen::Tooling::AddReusablePart::PositionMethod NXOpen::Tooling::AddReusablePart::PositionMode ( )

Returns the current position method.


Created in NX5.0.0.

License requirements : None

void NXOpen::Tooling::AddReusablePart::RecordReusableComponent ( const NXString fileName)

Records the existing reusable component with the same name
Created in NX9.0.0.



License requirements : None

Parameters
fileNameThe reusable component name
NOTE: The full Unicode character set is not supported for this parameter.
void NXOpen::Tooling::AddReusablePart::RecordReusableComponent ( const char *  fileName)

Records the existing reusable component with the same name
Created in NX9.0.0.



License requirements : None

Parameters
fileNameThe reusable component name
NOTE: The full Unicode character set is not supported for this parameter.
void NXOpen::Tooling::AddReusablePart::RemoveDesignElement ( )

Removes design element component
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::AddReusablePart::RemoveOldInstance ( int  index)

Removes the instance from the part data
Created in NX9.0.0.



License requirements : None

Parameters
indexThe index of component instance
void NXOpen::Tooling::AddReusablePart::RemoveReusableComponent ( int  index)

Removes a reusable component
Created in NX9.0.0.



License requirements : None

Parameters
indexThe reusable component index in the part data
NXOpen::NXObject* NXOpen::Tooling::AddReusablePart::ReverseComponentDirection ( const NXOpen::Point3d inputPosition,
const NXOpen::Point3d inputDirection,
double  length,
const NXOpen::Point3d outputPosition,
const NXOpen::Point3d outputDirection 
)

Reverses the direction of the reusable component if the reusable component is placed on a face.

Returns
The output face of the componnent on
Created in NX9.0.0.

License requirements : None
Parameters
inputPositionThe input position of componnent
inputDirectionThe input direction of componnent
lengthThe input length of componnent
outputPositionThe output position of componnent
outputDirectionThe output position of componnent
void NXOpen::Tooling::AddReusablePart::ReversePreviewComponent ( const NXOpen::Point3d rememberDir)

Reverses the direction of the reusable component if the reusable component is not placed on a face.


Created in NX9.0.0.

License requirements : None

Parameters
rememberDirThe original position of component
void NXOpen::Tooling::AddReusablePart::SaveLibraryPath ( const NXString libName,
const NXString libpath 
)

Saves the library name and path of the reusable component
Created in NX9.0.0.



License requirements : None

Parameters
libNameLibrary name
libpathThe path in the library
void NXOpen::Tooling::AddReusablePart::SaveLibraryPath ( const char *  libName,
const char *  libpath 
)

Saves the library name and path of the reusable component
Created in NX9.0.0.



License requirements : None

Parameters
libNameLibrary name
libpathThe path in the library
void NXOpen::Tooling::AddReusablePart::SetAttachedGeometry ( NXOpen::NXObject part)

Sets the attached geometry, this is mainly used to set the initial parameter
Created in NX9.0.0.



License requirements : None

Parameters
partGeometry to calculate the initial parameter
void NXOpen::Tooling::AddReusablePart::SetCloneObject ( NXOpen::Tooling::CloneObject cloneObject)

Sets the clone operation object
Created in NX9.0.0.



License requirements : None

Parameters
cloneObjectA NXOpen::Tooling::CloneObject instance
void NXOpen::Tooling::AddReusablePart::SetComponentProperties ( const NXString referenceSetName,
const NXString componentName,
int  layer 
)

Sets the reusable component properties
Created in NX9.0.0.



License requirements : None

Parameters
referenceSetNameThe name of the reference set used to represent the new component
componentNameThe name of the new component
layerThe layer to place the new component on
void NXOpen::Tooling::AddReusablePart::SetComponentProperties ( const char *  referenceSetName,
const char *  componentName,
int  layer 
)

Sets the reusable component properties
Created in NX9.0.0.



License requirements : None

Parameters
referenceSetNameThe name of the reference set used to represent the new component
componentNameThe name of the new component
layerThe layer to place the new component on
void NXOpen::Tooling::AddReusablePart::SetEnablePreview ( bool  isTrunOn)

Sets the toggle of the Preview widget
Created in NX9.0.0.



License requirements : None

Parameters
isTrunOnWhehter preview toggle is turned on, which is on the add reusable component dialog
void NXOpen::Tooling::AddReusablePart::SetInitialPosition ( const NXOpen::Point3d dropLocation)

Sets the initial location, this is mainly used to set default add location of a reusable component
Created in NX9.0.0.



License requirements : None

Parameters
dropLocationDrop location to initial parameter
void NXOpen::Tooling::AddReusablePart::SetParentPart ( NXOpen::Part part)

Sets the parent part, this is mainly used to set context work part of a reusable component
Created in NX9.0.0.



License requirements : None

Parameters
partThe parent part to place the component
void NXOpen::Tooling::AddReusablePart::SetPositionMode ( NXOpen::Tooling::AddReusablePart::PositionMethod  positionMode)

Sets the current position method.


Created in NX5.0.0.

License requirements : None

Parameters
positionModeposition mode
void NXOpen::Tooling::AddReusablePart::SetReusablePocketBuilder ( NXOpen::Tooling::ReusablePocketBuilder pocketTag)

Sets the reusable pocket builder
Created in NX9.0.0.



License requirements : None

Parameters
pocketTagThe reusable component pocket builder
void NXOpen::Tooling::AddReusablePart::SetSearchGeometry ( bool  isTrunOn)

Sets the search geometry for a reusable component
Created in NX9.0.0.



License requirements : None

Parameters
isTrunOnWhehter the search geometry toggle is turned on, which is on the add reusable component dialog
void NXOpen::Tooling::AddReusablePart::SetSpreadsheetData ( NXOpen::Tooling::SpreadsheetData spreadsheetData)

Sets the spreadsheet data, this is mainly used to set the attributes of a reusable component
Created in NX9.0.0.



License requirements : None

Parameters
spreadsheetDataSpreadsheet data
void NXOpen::Tooling::AddReusablePart::SubtituteReusableComponent ( bool  substituteInstance)

Subtitutes a reusable part
Created in NX9.0.0.



License requirements : None

Parameters
substituteInstanceWhether the resuable component needs to be substituted
void NXOpen::Tooling::AddReusablePart::UpdatePartData ( )

Updates the part data of a reusable component
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::AddReusablePart::UpdateReusableComponent ( )

Updates the part data for a reusable component, this is mainly used to update parameter for a reusable component
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::AddReusablePart::UpdateReusablePocket ( )

Updates the pocket for a reusable component
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.